Skip to main content
DELETE
/
kubernetes_efficiency_reports
/
{kubernetes_efficiency_report_token}
Delete Kubernetes efficiency report
curl --request DELETE \
  --url https://api.vantage.sh/v2/kubernetes_efficiency_reports/{kubernetes_efficiency_report_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "title": "Acme123 Kubernetes Efficiency Metrics",
  "default": true,
  "created_at": "2024-03-19T00:00:00Z",
  "workspace_token": "<string>",
  "start_date": "2024-03-01",
  "end_date": "2024-03-20",
  "date_interval": "last_month",
  "date_bucket": "month",
  "aggregated_by": "<string>",
  "groupings": "cluster_id, namespace",
  "filter": "<string>",
  "user_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

kubernetes_efficiency_report_token
string
required

Response

KubernetesEfficiencyReport model

token
string
required
title
string
required

The title of the KubernetesEfficiencyReport.

Example:

"Acme123 Kubernetes Efficiency Metrics"

default
boolean
required

Indicates whether the KubernetesEfficiencyReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the KubernetesEfficiencyReport is a part of.

start_date
string | null
required

The start date for the KubernetesEfficiencyReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the KubernetesEfficiencyReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the KubernetesEfficiencyReport. Only present if a custom date range is not specified.

Example:

"last_month"

date_bucket
string
required

How costs are grouped and displayed in the KubernetesEfficiencyReport. Possible values: day, week, month.

Example:

"month"

aggregated_by
string
required

How costs are aggregated by. Possible values: idle_cost, amount, cost_efficiency.

groupings
string | null
required

Grouping values for aggregating costs on the KubernetesEfficiencyReport. Valid groupings: cluster_id, namespace, region, labeled, category, pod, label, label:<label_name>.

Example:

"cluster_id, namespace"

filter
string | null
required

The filter applied to the KubernetesEfficiencyReport. Additional documentation available at https://docs.vantage.sh/vql.

user_token
string | null

The token for the User who created this KubernetesEfficiencyReport.